Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 09 May 2021 03:19:26 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear centerpoint team,

I placed an order on Tuesday, 3/5/2021. I received an email telling me to expect the products’ delivery by Thursday, 6/5/2021. On Thursday, I received an update that the products are on the way to my house. Today is Friday, 7/5/2021 but I still haven’t received my products yet. 

Please help me regarding this issue.

Best regards,

Manal https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2537029